
Redmine - Defect #7763

Email notification are sent to watchers even if 'No events' setting is chosen

2011-03-02 15:23 - Ochir Abushinov

Status: Closed Start date: 2011-03-02

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version: 1.1.2   

Resolution: Fixed Affected version: 1.1.1

Description

I tried to change my email notification settings on My account page.

I set 'No events'. I expected I didn't receive any updates about issues.

But email notifications are received if someone add me as watcher.

I didn't found any explanations about this behavior of Redmine.

So I suppose this is a possible bug.

Associated revisions

Revision 5004 - 2011-03-04 15:43 - Jean-Philippe Lang

Fixed: Email notifications are sent to watchers even if 'No events' setting is chosen (#7763).

History

#1 - 2011-03-02 15:57 - Etienne Massip

- Category changed from Email receiving to Email notifications

#2 - 2011-03-02 17:46 - Etienne Massip

Did you run migration (a.k.a. rake db:migrate) ?

#3 - 2011-03-02 18:26 - Ochir Abushinov

Redmine is updated by our administrators using this page:

http://www.redmine.org/projects/redmine/wiki/RedmineInstall

I will ask them about migration.

#4 - 2011-03-03 10:19 - Ochir Abushinov

I asked our admins and they confirmed that updates had installed using Redmine instruction.

#5 - 2011-03-03 12:05 - Etienne Massip

- Subject changed from email notification are sent if even 'No events' setting is chosen to Email notification are sent to wathchers even if 'No events'

setting is chosen

- Target version set to Candidate for next minor release

It's a bug as ActAsWatchable#watcher_recipients (source:trunk/vendor/plugins/acts_as_watchable/lib/acts_as_watchable.rb#L39) does not take

account of user's notification preferences.

#6 - 2011-03-03 12:06 - Etienne Massip

- Subject changed from Email notification are sent to wathchers even if 'No events' setting is chosen to Email notification are sent to watchers even if

'No events' setting is chosen

Typo

#7 - 2011-03-04 15:44 - Jean-Philippe Lang

- Status changed from New to Resolved

- Target version changed from Candidate for next minor release to 1.1.2

- Resolution changed from Duplicate to Fixed
Fixed in r5004.

#8 - 2011-03-06 13:48 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged in 1.1-stable.
